
/* AMX Mod script. 
* 
* (c) Copyright 2002, OLO 
* This file is provided as is (no warranties). 
* 
*/ 

/* Mix of plugins console motd from file and welcome message. */

#include <amxmod> 

public client_connect(id) { 
	new name[32], authid[32], ip[32], hostname[64], nextmap[32] 
	new time[32], mapname[32], players[32], pnum
	new Float:mp_timelimit, mod_ver[32]
	mp_timelimit = get_cvar_float("mp_timelimit")
	get_cvar_string("hostname",hostname,64) 
	get_user_name(id,name,32) 
	get_user_authid(id,authid,32) 
	get_user_ip(id,ip,32) 
	get_time("%m/%d/%Y - %H:%M:%S",time,32) 
	get_mapname(mapname,32) 
	get_players(players,pnum) 
	get_cvar_string("amx_nextmap",nextmap,32)
	client_cmd(id, "echo ;echo ======================================================================")
	client_cmd(id, "echo ^"   Hello %s, welcome to %s^"",name,hostname)
	client_cmd(id, "echo ^"   Current time:  %s^"",time)
	client_cmd(id, "echo ^"   You are playing from:  %s^"",ip)
	client_cmd(id, "echo ^"   Your authid is:  %s^";echo",authid)
	
	client_cmd(id, "echo ^"   Players on server:  %d/%d^"",pnum,get_maxplayers())
	client_cmd(id, "echo ^"   Currently played map:  %s^"",mapname)
	client_cmd(id, "echo ^"   The next map will be:  %s^"",nextmap)
	
	if (mp_timelimit){
		new timeleft = get_timeleft()
		if (timeleft > 0)	client_cmd(id, "echo ^"   Time Remaining: %d:%02d^"",timeleft / 60, timeleft % 60)
		client_cmd(id, "echo ^"   Time limit is set to %.0f min.^"",mp_timelimit)
	}
	else
		client_cmd(id, "echo ^"   * No Time Limit *^"")

	client_cmd(id, "echo ^"   Friendly fire is %s.^"", get_cvar_float("mp_friendlyfire") ? "on" : "off")	
	client_cmd(id, "echo ^"   C4 timer is set to %.0f sec.^"",get_cvar_float("mp_c4timer"))
	
	if (cvar_exists("amx_avlist_mode")){
		client_cmd(id, "echo ;echo ^"   Say /statsme to display your stats.^"")
		client_cmd(id, "echo ^"   Say /stats to display players stats.^"")		
		client_cmd(id, "echo ^"   Say /top15 to display rank of the best players.^"")
		client_cmd(id, "echo ^"   Say /hp to get information about your killer.^"")
		client_cmd(id, "echo ^"   Say /rank to display your server score.^"")
	}
	
	new flags = get_user_flags(id)
	if (flags){
		client_cmd(id, "echo ;echo ^"   Your access level is: %d. You have %simmunity.^"",flags,(flags&ADMIN_IMMUNITY)?"":"no ")
		client_cmd(id, "echo ^"   Type 'amx_help' in the console to see available commands.^"")
	}
	else {
		client_cmd(id, "echo ;echo ^"   You are not logged as admin or user with privileges.^"")
	}
	
	client_cmd(id, "echo ;echo ^"   Server mods:^"")
	get_cvar_string("amx_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * AMX Mod %s^"",mod_ver)		
	get_cvar_string("statsme_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * StatsMe %s^"",mod_ver)
	get_cvar_string("clanmod_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * ClanMod %s^"",mod_ver)
	get_cvar_string("admin_mod_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * AdminMod %s^"",mod_ver)
	get_cvar_string("chicken_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * Chicken %s^"",mod_ver)
	get_cvar_string("csguard_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * CSGuard %s^"",mod_ver)
	get_cvar_string("hlguard_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * HLGuard %s^"",mod_ver)
	get_cvar_string("plbot_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * PLBot %s^"",mod_ver)
	get_cvar_string("booster_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * HL-Booster %s^"",mod_ver)
	get_cvar_string("axn_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * AXN %s^"",mod_ver)
	get_cvar_string("bmx_version",mod_ver,32)
	if (mod_ver[0]) client_cmd(id, "echo ^"   * BMX %s^"",mod_ver)
	get_cvar_string("atac_version",mod_ver,32)  
	if (mod_ver[0]) client_cmd(id, "echo ^"   * ATAC %s^"",mod_ver)

	new filename[128]  
	get_cvar_string("amx_conmotd_file",filename,128)
	if (file_exists(filename)) {
		client_cmd(id, "echo --------------------------------------------------------------------------------------------------")		
		new line = 0, txtsize = 0, message[192]
		while((line=read_file(filename,line,message,192,txtsize))!=0)
			client_cmd(id,"echo ^"%s^"",message)
	}

	client_cmd(id, "echo ======================================================================")
	return PLUGIN_CONTINUE 
} 

public plugin_init() {
	register_plugin("Welcome Message","0.8","default")
	register_cvar("amx_conmotd_file","addons/amx/conmotd.txt")
	return PLUGIN_CONTINUE 
} 

